Bug 123031 - GTK3: Some dropdown lists are too narrow
Summary: GTK3: Some dropdown lists are too narrow
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-01-29 10:18 UTC by Xisco Faulí
Modified: 2019-01-30 10:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (35.95 KB, image/png)
2019-01-29 10:18 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-29 10:18:04 UTC
Created attachment 148730 [details]
screenshot

Steps to reproduce:
1. Open Writer
2. Go to Format - Bullets & Numbering
3. Go to Customize tab
4. See Character Style dropdown list
-> Only one character is displayed. see attached image.

Maybe it's GTK 3.19.8 only ?

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 6d5af783bfd899253908c926853233a99df6f4e0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-01-29 10:19:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d2313a5d052373f86174f9de4e24153024f6a8a2

author	Caolán McNamara <caolanm@redhat.com>	2019-01-09 09:48:07 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-01-09 12:36:03 +0100
commit	d2313a5d052373f86174f9de4e24153024f6a8a2 (patch)
tree	fea07089e7cf4ff532ad326cd497f34a4959cb2e
parent	096b455583aa23d554cd05b1fac8909b7e10e355 (diff)
Resolves: tdf#122467 drop down field name is too narrow
ellipise only when we have to

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2019-01-29 12:44:59 UTC
I see it in that older gtk, though not in a contemporary one
Comment 3 Commit Notification 2019-01-29 16:02:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/55013f566d540b910a73d6403809cd236f75636c%5E%21

tdf#123031 allow natural cell width if the combobox contents are >= request

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-01-29 16:05:57 UTC
fixed in master, backport to 6-2 in gerrit
Comment 5 Xisco Faulí 2019-01-30 10:33:59 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: f1f84cf7fae3c777908cfc5357a067db731367ac
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 6 Commit Notification 2019-01-30 10:36:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/448785475db22b8fa32ab4af2b165bb4d26e737b%5E%21

tdf#123031 allow natural cell width if the combobox contents are >= request

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.